# Uses of Class
org.apache.lucene.analysis.hunspell.AffixedWord

Packages that use AffixedWord
Package
Description
org.apache.lucene.analysis.hunspell
A Java implementation of Hunspell stemming and spell-checking algorithms (`Hunspell`), and a stemming TokenFilter (`HunspellStemFilter`) based on it.

## Uses of AffixedWord in org.apache.lucene.analysis.hunspell

Methods in org.apache.lucene.analysis.hunspell that return types with arguments of type AffixedWord
Modifier and Type
Method
Description
`List<AffixedWord>`
Hunspell.`analyzeSimpleWord(String word)`
`List<AffixedWord>`
Hunspell.`getAllWordForms(String root)`
Generate all word forms for all dictionary entries with the given root word.
`List<AffixedWord>`
WordFormGenerator.`getAllWordForms(String root, Runnable checkCanceled)`
Generate all word forms for all dictionary entries with the given root word.
`List<AffixedWord>`
WordFormGenerator.`getAllWordForms(String stem, String flags, Runnable checkCanceled)`
Generate all word forms for the given root pretending it has the given flags (in the same format as the dictionary uses).
Methods in org.apache.lucene.analysis.hunspell with parameters of type AffixedWord
Modifier and Type
Method
Description
`protected boolean`
WordFormGenerator.`canStemToOriginal(AffixedWord derived)`
A sanity-check that the word form generated by affixation in `WordFormGenerator.getAllWordForms(String, String, Runnable)` is indeed accepted by the spell-checker and analyzed to be the form of the original dictionary entry.
Method parameters in org.apache.lucene.analysis.hunspell with type arguments of type AffixedWord
Modifier and Type
Method
Description
`void`
WordFormGenerator.`generateAllSimpleWords(Consumer<AffixedWord> consumer, Runnable checkCanceled)`
Traverse the whole dictionary and derive all word forms via affixation (as in `WordFormGenerator.getAllWordForms(String, String, Runnable)`) for each of the entries.